OrcProto.StripeFooter.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.StripeFooter.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeFooter.Builder>
      - - org.apache.orc.OrcProto.StripeFooter.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.StripeFooterOrBuilder
  Enclosing class:
    OrcProto.StripeFooter

      public static final class OrcProto.StripeFooter.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeFooter.Builder>
      implements OrcProto.StripeFooterOrBuilder

  Protobuf type `orc.proto.StripeFooter`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.StripeFooter.Builder` | `addAllColumns(Iterable<? extends OrcProto.ColumnEncoding> values)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.StripeFooter.Builder` | `addAllStreams(Iterable<? extends OrcProto.Stream> values)` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.StripeFooter.Builder` | `addColumns(int index, OrcProto.ColumnEncoding.Builder builderForValue)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.StripeFooter.Builder` | `addColumns(int index, OrcProto.ColumnEncoding value)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.StripeFooter.Builder` | `addColumns(OrcProto.ColumnEncoding.Builder builderForValue)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.StripeFooter.Builder` | `addColumns(OrcProto.ColumnEncoding value)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.ColumnEncoding.Builder` | `addColumnsBuilder()` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.ColumnEncoding.Builder` | `addColumnsBuilder(int index)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.StripeFooter.Builder` | `addStreams(int index, OrcProto.Stream.Builder builderForValue)` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.StripeFooter.Builder` | `addStreams(int index, OrcProto.Stream value)` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.StripeFooter.Builder` | `addStreams(OrcProto.Stream.Builder builderForValue)` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.StripeFooter.Builder` | `addStreams(OrcProto.Stream value)` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.Stream.Builder` | `addStreamsBuilder()` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.Stream.Builder` | `addStreamsBuilder(int index)` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.StripeFooter` | `build()`
    `OrcProto.StripeFooter` | `buildPartial()`
    `OrcProto.StripeFooter.Builder` | `clear()`
    `OrcProto.StripeFooter.Builder` | `clearColumns()` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.StripeFooter.Builder` | `clearStreams()` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.StripeFooter.Builder` | `clearWriterTimezone()` `optional string writerTimezone = 3;`
    `OrcProto.StripeFooter.Builder` | `clone()`
    `OrcProto.ColumnEncoding` | `getColumns(int index)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.ColumnEncoding.Builder` | `getColumnsBuilder(int index)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `List<OrcProto.ColumnEncoding.Builder>` | `getColumnsBuilderList()` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `int` | `getColumnsCount()` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `List<OrcProto.ColumnEncoding>` | `getColumnsList()` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.ColumnEncodingOrBuilder` | `getColumnsOrBuilder(int index)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `List<? extends OrcProto.ColumnEncodingOrBuilder>` | `getColumnsOrBuilderList()` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.StripeFooter` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `OrcProto.Stream` | `getStreams(int index)` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.Stream.Builder` | `getStreamsBuilder(int index)` `repeated .orc.proto.Stream streams = 1;`
    `List<OrcProto.Stream.Builder>` | `getStreamsBuilderList()` `repeated .orc.proto.Stream streams = 1;`
    `int` | `getStreamsCount()` `repeated .orc.proto.Stream streams = 1;`
    `List<OrcProto.Stream>` | `getStreamsList()` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.StreamOrBuilder` | `getStreamsOrBuilder(int index)` `repeated .orc.proto.Stream streams = 1;`
    `List<? extends OrcProto.StreamOrBuilder>` | `getStreamsOrBuilderList()` `repeated .orc.proto.Stream streams = 1;`
    `String` | `getWriterTimezone()` `optional string writerTimezone = 3;`
    `com.google.protobuf.ByteString` | `getWriterTimezoneBytes()` `optional string writerTimezone = 3;`
    `boolean` | `hasWriterTimezone()` `optional string writerTimezone = 3;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.StripeFooter.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.StripeFooter.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.StripeFooter.Builder` | `mergeFrom(OrcProto.StripeFooter other)`
    `OrcProto.StripeFooter.Builder` | `removeColumns(int index)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.StripeFooter.Builder` | `removeStreams(int index)` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.StripeFooter.Builder` | `setColumns(int index, OrcProto.ColumnEncoding.Builder builderForValue)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.StripeFooter.Builder` | `setColumns(int index, OrcProto.ColumnEncoding value)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.StripeFooter.Builder` | `setStreams(int index, OrcProto.Stream.Builder builderForValue)` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.StripeFooter.Builder` | `setStreams(int index, OrcProto.Stream value)` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.StripeFooter.Builder` | `setWriterTimezone(String value)` `optional string writerTimezone = 3;`
    `OrcProto.StripeFooter.Builder` | `setWriterTimezoneBytes(com.google.protobuf.ByteString value)` `optional string writerTimezone = 3;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeFooter.Builder>`

    - #### clear

          public OrcProto.StripeFooter.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeFooter.Builder>`

    - #### clone

          public OrcProto.StripeFooter.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeFooter.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeFooter.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.StripeFooter getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.StripeFooter build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.StripeFooter buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.StripeFooter.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.StripeFooter.Builder>`

    - #### mergeFrom

          public OrcProto.StripeFooter.Builder mergeFrom(OrcProto.StripeFooter other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeFooter.Builder>`

    - #### mergeFrom

          public OrcProto.StripeFooter.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.StripeFooter.Builder>`
      Throws:
        `IOException`

    - #### getStreamsList

          public List<OrcProto.Stream> getStreamsList()

      `repeated .orc.proto.Stream streams = 1;`
      Specified by:
        `getStreamsList` in interface `OrcProto.StripeFooterOrBuilder`

    - #### getStreamsCount

          public int getStreamsCount()

      `repeated .orc.proto.Stream streams = 1;`
      Specified by:
        `getStreamsCount` in interface `OrcProto.StripeFooterOrBuilder`

    - #### getStreams

          public OrcProto.Stream getStreams(int index)

      `repeated .orc.proto.Stream streams = 1;`
      Specified by:
        `getStreams` in interface `OrcProto.StripeFooterOrBuilder`

    - #### setStreams

          public OrcProto.StripeFooter.Builder setStreams(int index,
                                                          OrcProto.Stream value)

      `repeated .orc.proto.Stream streams = 1;`

    - #### setStreams

          public OrcProto.StripeFooter.Builder setStreams(int index,
                                                          OrcProto.Stream.Builder builderForValue)

      `repeated .orc.proto.Stream streams = 1;`

    - #### addStreams

          public OrcProto.StripeFooter.Builder addStreams(OrcProto.Stream value)

      `repeated .orc.proto.Stream streams = 1;`

    - #### addStreams

          public OrcProto.StripeFooter.Builder addStreams(int index,
                                                          OrcProto.Stream value)

      `repeated .orc.proto.Stream streams = 1;`

    - #### addStreams

          public OrcProto.StripeFooter.Builder addStreams(OrcProto.Stream.Builder builderForValue)

      `repeated .orc.proto.Stream streams = 1;`

    - #### addStreams

          public OrcProto.StripeFooter.Builder addStreams(int index,
                                                          OrcProto.Stream.Builder builderForValue)

      `repeated .orc.proto.Stream streams = 1;`

    - #### addAllStreams

          public OrcProto.StripeFooter.Builder addAllStreams(Iterable<? extends OrcProto.Stream> values)

      `repeated .orc.proto.Stream streams = 1;`

    - #### clearStreams

          public OrcProto.StripeFooter.Builder clearStreams()

      `repeated .orc.proto.Stream streams = 1;`

    - #### removeStreams

          public OrcProto.StripeFooter.Builder removeStreams(int index)

      `repeated .orc.proto.Stream streams = 1;`

    - #### getStreamsBuilder

          public OrcProto.Stream.Builder getStreamsBuilder(int index)

      `repeated .orc.proto.Stream streams = 1;`

    - #### getStreamsOrBuilder

          public OrcProto.StreamOrBuilder getStreamsOrBuilder(int index)

      `repeated .orc.proto.Stream streams = 1;`
      Specified by:
        `getStreamsOrBuilder` in interface `OrcProto.StripeFooterOrBuilder`

    - #### getStreamsOrBuilderList

          public List<? extends OrcProto.StreamOrBuilder> getStreamsOrBuilderList()

      `repeated .orc.proto.Stream streams = 1;`
      Specified by:
        `getStreamsOrBuilderList` in interface `OrcProto.StripeFooterOrBuilder`

    - #### addStreamsBuilder

          public OrcProto.Stream.Builder addStreamsBuilder()

      `repeated .orc.proto.Stream streams = 1;`

    - #### addStreamsBuilder

          public OrcProto.Stream.Builder addStreamsBuilder(int index)

      `repeated .orc.proto.Stream streams = 1;`

    - #### getStreamsBuilderList

          public List<OrcProto.Stream.Builder> getStreamsBuilderList()

      `repeated .orc.proto.Stream streams = 1;`

    - #### getColumnsList

          public List<OrcProto.ColumnEncoding> getColumnsList()

      `repeated .orc.proto.ColumnEncoding columns = 2;`
      Specified by:
        `getColumnsList` in interface `OrcProto.StripeFooterOrBuilder`

    - #### getColumnsCount

          public int getColumnsCount()

      `repeated .orc.proto.ColumnEncoding columns = 2;`
      Specified by:
        `getColumnsCount` in interface `OrcProto.StripeFooterOrBuilder`

    - #### getColumns

          public OrcProto.ColumnEncoding getColumns(int index)

      `repeated .orc.proto.ColumnEncoding columns = 2;`
      Specified by:
        `getColumns` in interface `OrcProto.StripeFooterOrBuilder`

    - #### setColumns

          public OrcProto.StripeFooter.Builder setColumns(int index,
                                                          OrcProto.ColumnEncoding value)

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### setColumns

          public OrcProto.StripeFooter.Builder setColumns(int index,
                                                          OrcProto.ColumnEncoding.Builder builderForValue)

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### addColumns

          public OrcProto.StripeFooter.Builder addColumns(OrcProto.ColumnEncoding value)

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### addColumns

          public OrcProto.StripeFooter.Builder addColumns(int index,
                                                          OrcProto.ColumnEncoding value)

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### addColumns

          public OrcProto.StripeFooter.Builder addColumns(OrcProto.ColumnEncoding.Builder builderForValue)

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### addColumns

          public OrcProto.StripeFooter.Builder addColumns(int index,
                                                          OrcProto.ColumnEncoding.Builder builderForValue)

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### addAllColumns

          public OrcProto.StripeFooter.Builder addAllColumns(Iterable<? extends OrcProto.ColumnEncoding> values)

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### clearColumns

          public OrcProto.StripeFooter.Builder clearColumns()

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### removeColumns

          public OrcProto.StripeFooter.Builder removeColumns(int index)

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### getColumnsBuilder

          public OrcProto.ColumnEncoding.Builder getColumnsBuilder(int index)

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### getColumnsOrBuilder

          public OrcProto.ColumnEncodingOrBuilder getColumnsOrBuilder(int index)

      `repeated .orc.proto.ColumnEncoding columns = 2;`
      Specified by:
        `getColumnsOrBuilder` in interface `OrcProto.StripeFooterOrBuilder`

    - #### getColumnsOrBuilderList

          public List<? extends OrcProto.ColumnEncodingOrBuilder> getColumnsOrBuilderList()

      `repeated .orc.proto.ColumnEncoding columns = 2;`
      Specified by:
        `getColumnsOrBuilderList` in interface `OrcProto.StripeFooterOrBuilder`

    - #### addColumnsBuilder

          public OrcProto.ColumnEncoding.Builder addColumnsBuilder()

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### addColumnsBuilder

          public OrcProto.ColumnEncoding.Builder addColumnsBuilder(int index)

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### getColumnsBuilderList

          public List<OrcProto.ColumnEncoding.Builder> getColumnsBuilderList()

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### hasWriterTimezone

          public boolean hasWriterTimezone()

      `optional string writerTimezone = 3;`
      Specified by:
        `hasWriterTimezone` in interface `OrcProto.StripeFooterOrBuilder`

    - #### getWriterTimezone

          public String getWriterTimezone()

      `optional string writerTimezone = 3;`
      Specified by:
        `getWriterTimezone` in interface `OrcProto.StripeFooterOrBuilder`

    - #### getWriterTimezoneBytes

          public com.google.protobuf.ByteString getWriterTimezoneBytes()

      `optional string writerTimezone = 3;`
      Specified by:
        `getWriterTimezoneBytes` in interface `OrcProto.StripeFooterOrBuilder`

    - #### setWriterTimezone

          public OrcProto.StripeFooter.Builder setWriterTimezone(String value)

      `optional string writerTimezone = 3;`

    - #### clearWriterTimezone

          public OrcProto.StripeFooter.Builder clearWriterTimezone()

      `optional string writerTimezone = 3;`

    - #### setWriterTimezoneBytes

          public OrcProto.StripeFooter.Builder setWriterTimezoneBytes(com.google.protobuf.ByteString value)

      `optional string writerTimezone = 3;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.